import { StringOrNumber } from '../types';
import { AEntity } from './abstract-entity/abstract-entity';
import { IEntityWithName, IEntityWithNumberIDAndName, IEntityWithStringIDAndName } from './entity.interface';
export declare abstract class AEntityWithName<idType extends StringOrNumber> extends AEntity<idType> implements IEntityWithName<idType> {
    name: string;
    protected constructor(id: idType, name: string, originalJsonDto?: unknown);
}
export declare abstract class AEntityWithNumberIDAndName extends AEntityWithName<number> implements IEntityWithNumberIDAndName {
    protected constructor(id: number, name: string, originalJsonDto?: unknown);
}
export declare abstract class AEntityWithStringIDAndName extends AEntityWithName<string> implements IEntityWithStringIDAndName {
    protected constructor(id: string, name: string, originalJsonDto?: unknown);
}
//# sourceMappingURL=abstract-entity-with-name.d.ts.map