import { NullOr, UndefinedOr } from '../../types';
/**
 * Converts parameter from <code>T | null</code> to <code>T | undefined</code>
 * @template T
 * @param {T|undefined} value Value to convert
 * @return {T|null} Returns <code>T | undefined</code>
 */
export declare function c_nullToUndefined<T>(value: NullOr<T>): UndefinedOr<T>;
/**
 * Converts parameter from <code>T | undefined</code> to <code>T | null</code>
 * @template T
 * @param {T|undefined} value Value to convert
 * @return {T|null} Returns <code>T | null</code>
 */
export declare function c_undefinedToNull<T>(value: UndefinedOr<T>): NullOr<T>;
export declare function c_unchecked<SrcType, DstType>(ob: SrcType): DstType;
//# sourceMappingURL=converter.d.ts.map