import { formatDateBeginning } from '../format-date-beginning';
import { d_from } from '../from';
/**
 * Returns a string formatted in 'YYYY-MM-DD HH:mm:ss'
 * <br/>If string or date is null, returns <code>undefined</code>
 * @param {string|Date|undefined|null} date
 * @return string|undefined
 */
export function d_formatWithHoursMinutesAndSeconds(date) {
    if (!date) {
        return undefined;
    }
    const d = d_from(date);
    const hour = d.getHours().toString().padStart(2, '0');
    const minutes = d.getMinutes().toString().padStart(2, '0');
    const seconds = d.getSeconds().toString().padStart(2, '0');
    return `${formatDateBeginning(d)} ${[hour, minutes, seconds].join(':')}`;
}
//# sourceMappingURL=format-date-with-hours-minutes-seconds.js.map